Bug 584502 - nss_ldap bug causes nscd to crash with `ldap_result: Assertion `ld != ((void *)0)' failed.'
Summary: nss_ldap bug causes nscd to crash with `ldap_result: Assertion `ld != ((void ...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nss_ldap   
(Show other bugs)
Version: 4.9
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Nalin Dahyabhai
QA Contact: Ondrej Moriš
URL:
Whiteboard:
Keywords: ZStream
Depends On: 566632
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-21 18:04 UTC by RHEL Product and Program Management
Modified: 2011-01-05 06:34 UTC (History)
16 users (show)

Fixed In Version: nss_ldap-253-7.el4_8.2
Doc Type: Bug Fix
Doc Text:
Previously, enabling the "nss_connect_policy oneshot" option in the /etc/ldap.conf configuration file may have caused the "id <username>" command to exit with the following error message: ldap_result: Assertion `ld != ((void *)0)' failed. With this update, enabling "nss_connect_policy oneshot" works as expected, and running the id command no longer fails.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-19 07:17:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0538 normal SHIPPED_LIVE nss_ldap bug fix update 2010-07-19 07:17:12 UTC

Description RHEL Product and Program Management 2010-04-21 18:04:22 UTC
This bug has been copied from bug #566632 and has been proposed
to be backported to 4.8 z-stream (EUS).

Comment 5 Jaromir Hradilek 2010-07-16 14:24:38 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
Previously, enabling the "nss_connect_policy oneshot" option in the /etc/ldap.conf configuration file may have caused the "id <username>" command to exit with the following error message:

  ldap_result: Assertion `ld != ((void *)0)' failed.

With this update, enabling "nss_connect_policy oneshot" works as expected, and running the id command no longer fails.

Comment 7 errata-xmlrpc 2010-07-19 07:17:22 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0538.html


Note You need to log in before you can comment on or make changes to this bug.